
Katello - Bug #4655

(nightlies 3-13-14) registering a system results in no correct product repo being attached

03/13/2014 03:44 PM - Erik Jacobs

Status: Resolved   

Priority: Normal   

Assignee: Justin Sherrill   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

On system details page, when looking at the "Details" tab, the "Release Version" is today, at least, a dropdown, but it is empty (not

populated).

The system was registered as such:

subscription-manager register --org=ACME_Corproration --environment=Library

subscription-manager subscribe --pool blahblah

The 6Server (rhel-6-server-rpms or whatever) repo does not show up from yum repolist:   

[root@client-10 ~]# yum repolist | cut -f1 | cut -f1

Loaded plugins: product-id, subscription-manager

This system is receiving updates from Red Hat Subscription Management.

repo id               repo name  status

epel                  Extra Packages for Enterprise Linux 6 - x86_64  10,581

foreman               Foreman nightly     128

foreman-plugins       Foreman plugins nightly      45

katello               Katello Stable     188

katello-candlepin     An open source entitlement management system.       9

katello-pulp          Pulp Community Releases      42

repolist: 10,993

History

#1 - 03/13/2014 04:07 PM - Erik Jacobs

I attempted to attach the subscription via the UI and still have the same issue - the RHEL repo doesn't show up.

#2 - 03/13/2014 06:52 PM - Justin Sherrill

https://github.com/Katello/katello/pull/3811

#3 - 03/13/2014 06:55 PM - Justin Sherrill

- Assignee set to Justin Sherrill

#4 - 03/24/2014 04:27 AM - Mike McCune

- Status changed from New to Resolved

- Triaged set to No

This is fixed, just tested with the latest

#5 - 06/06/2014 01:33 PM - Eric Helms

- Triaged changed from No to Yes
https://github.com/Katello/katello/pull/3811


#6 - 08/22/2014 07:50 AM - Eric Helms

- translation missing: en.field_release set to 13

Files

agent.log 4.04 KB 03/13/2014 Erik Jacobs

rhsm.log 11.1 KB 03/13/2014 Erik Jacobs
